.Dd October 22, 1993
.Dt LDD 1
.Os FreeBSD
.Sh NAME
.Nm ldd
.Nd list dynamic object dependencies
.Sh SYNOPSIS
.Nm ldd
.Op Fl v
.Op Fl f Ar format
.Ar program ...
.Sh DESCRIPTION
.Nm ldd
displays all shared objects that are needed to run the given program.
Contrary to nm(1), the list includes
.Dq indirect
dependencies that are the result of needed shared objects which themselves
depend on yet other shared objects.
.Pp
Zero, one or two
.Fl f
options may be given. The argument is a format string passed to
.Xr rtld 1
and allows customization of
.Nm ldd Ns 's
output. See
.Xr rtld 1
for a list of recognized conversion characters.
.Pp
The
.Fl v
option displays an verbose listing of the dynamic linking headers
encoded in the executable.  See the source code and include
files for the definitive meaning of all the fields.
.Sh SEE ALSO
.Xr ld 1 ,
.Xr ld.so 1 ,
.Xr nm 1
.Sh HISTORY
A
.Nm ldd
utility first appeared in SunOS 4.0, it appeared in its current form
in FreeBSD 1.1.
.Pp
The
.Fl v
support is based on code written by John Polstra <jdp@polstra.com>
